Create agent
curl --request POST \
--url https://api.sidenet.ai/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Support agent",
"description": "Answers billing and account questions"
}
'import requests
url = "https://api.sidenet.ai/v1/agents"
payload = {
"name": "Support agent",
"description": "Answers billing and account questions"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Support agent', description: 'Answers billing and account questions'})
};
fetch('https://api.sidenet.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent": {
"id": "6f1c0f4e-2b7a-4a51-9a2f-0c9d1b3e5a10",
"org_id": "2b9d7c31-8e4f-4a2b-9d61-77c0a3f5e812",
"name": "Support agent",
"description": "Answers billing and account questions",
"active_version_id": null,
"created_at": "2026-07-02T09:14:22.418Z",
"updated_at": "2026-07-02T09:14:22.418Z"
},
"draft": {
"id": "4c8e1b02-77d3-4f6a-9e15-3b0a6d2c8f49",
"agent_id": "6f1c0f4e-2b7a-4a51-9a2f-0c9d1b3e5a10",
"version_number": 0,
"rev": 0,
"instructions": [],
"model_slug": null,
"policy_slug": null,
"model_options": null,
"model_settings": null,
"max_steps": null,
"agentTools": [],
"workflows": [],
"agents": [],
"scorers": [],
"memory": null,
"created_at": "2026-07-02T09:14:22.418Z",
"updated_at": "2026-07-02T09:14:22.418Z"
}
}Agents
Create agent
Creates an agent. Its v0 draft is created automatically (do not create it yourself). Returns the agent + the draft.
POST
/
v1
/
agents
Create agent
Authorizations
Organization API key, generated in studio.sidenet.ai. Backend only — never in a browser.
Body
application/json